--- old/usr/src/uts/common/sys/param.h	2017-07-27 16:35:48.075471810 -0400
+++ new/usr/src/uts/common/sys/param.h	2017-07-27 16:35:48.105426995 -0400
@@ -71,13 +71,25 @@
 #endif
 #endif /* !defined(_XPG6) || defined(__EXTENSIONS__) */
 
+/* The actual size of the TTY input queue */
+#define	_TTY_BUFSIZ	2048
+
+/*
+ * These defines all have their historical value.  The actual size of the tty
+ * buffer both for the line-editor in ldterm, and in general, is above as
+ * _TTY_BUFSIZ.
+ *
+ * We leave these defines at their historical value to match the behaviour of
+ * BSD and Linux.
+ */
 #ifndef	MAX_INPUT
 #define	MAX_INPUT	512	/* Maximum bytes stored in the input queue */
 #endif
-
 #ifndef	MAX_CANON
 #define	MAX_CANON	256	/* Maximum bytes for canonical processing */
 #endif
+#define	CANBSIZ		256	/* max size of typewriter line	*/
+
 
 #define	UID_NOBODY	60001	/* user ID no body */
 #define	GID_NOBODY	UID_NOBODY
@@ -117,8 +129,6 @@
 
 #define	NMOUNT		40	/* est. of # mountable fs for quota calc */
 
-#define	CANBSIZ		256	/* max size of typewriter line	*/
-
 #define	NOFILE		20	/* this define is here for	*/
 				/* compatibility purposes only	*/
 				/* and will be removed in a	*/
